package com.fufan.mtsaas.modules.sysmgr.journal.model;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 用户消息表
 *
 * @Author Liby
 * @Create 2018-04-20
 * */
@TableName("AI_STAFF_MSG")
public class AiStaffMsg {
    /**
     * 消息ID
     * */
    @TableId("MSG_ID")
    private String msgId;
    /**
     * 业务支付号
     * */
    private String busPmtNo;
    /**
     * 客户ID
     * */
    private String custId;
    /**
     * 客户名称
     * */
    private String custName;
    /**
     * 预警时间
     * */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warnDatetime;
    /**
     * 消息标题
     * */
    private String warnTitle;
    /**
     * 预警消息
     * */
    private String warnMessage;
    /**
     * 规则编码
     * */
    private String ruleCode;
    /**
     * 处理状态
     * */
    private String processStatus;
    /**
     * 渠道(1-邮件，2-微信，3-系统消息)
     * */
    private String noticeChannel;
    /**
     * 通知类型(1-提示，2-预警，3-警告，4-逾期)
     * */
    private String noticeLevel;
    /**
     * 1-未读，2-已读
     * */
    private String readFlag;
    /**
     * 来源
     * */
    private String sysReqsrc;
    /**
     * 操作人员IP
     * */
    private String sysIp;
    /**
     * 操作员
     * */
    private String sysOper;
    /**
     * 操作时间
     * */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sysDatetime;
    /**
     * 操作员ID
     * */
    private String staffLoginId;

    public String getWarnTitle() {
        return warnTitle;
    }

    public void setWarnTitle(String warnTitle) {
        this.warnTitle = warnTitle;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getBusPmtNo() {
        return busPmtNo;
    }

    public void setBusPmtNo(String busPmtNo) {
        this.busPmtNo = busPmtNo;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public Date getWarnDatetime() {
        return warnDatetime;
    }

    public void setWarnDatetime(Date warnDatetime) {
        this.warnDatetime = warnDatetime;
    }

    public String getWarnMessage() {
        return warnMessage;
    }

    public void setWarnMessage(String warnMessage) {
        this.warnMessage = warnMessage;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public String getNoticeChannel() {
        return noticeChannel;
    }

    public void setNoticeChannel(String noticeChannel) {
        this.noticeChannel = noticeChannel;
    }

    public String getNoticeLevel() {
        return noticeLevel;
    }

    public void setNoticeLevel(String noticeLevel) {
        this.noticeLevel = noticeLevel;
    }

    public String getReadFlag() {
        return readFlag;
    }

    public void setReadFlag(String readFlag) {
        this.readFlag = readFlag;
    }

    public String getSysReqsrc() {
        return sysReqsrc;
    }

    public void setSysReqsrc(String sysReqsrc) {
        this.sysReqsrc = sysReqsrc;
    }

    public String getSysIp() {
        return sysIp;
    }

    public void setSysIp(String sysIp) {
        this.sysIp = sysIp;
    }

    public String getSysOper() {
        return sysOper;
    }

    public void setSysOper(String sysOper) {
        this.sysOper = sysOper;
    }

    public Date getSysDatetime() {
        return sysDatetime;
    }

    public void setSysDatetime(Date sysDatetime) {
        this.sysDatetime = sysDatetime;
    }

    public String getStaffLoginId() {
        return staffLoginId;
    }

    public void setStaffLoginId(String staffLoginId) {
        this.staffLoginId = staffLoginId;
    }

    @Override
    public String toString() {
        return "AiStaffMsg{" +
                "msgId='" + msgId + '\'' +
                ", busPmtNo='" + busPmtNo + '\'' +
                ", custId='" + custId + '\'' +
                ", custName='" + custName + '\'' +
                ", warnDatetime=" + warnDatetime +
                ", warnMessage='" + warnMessage + '\'' +
                ", ruleCode='" + ruleCode + '\'' +
                ", processStatus='" + processStatus + '\'' +
                ", noticeChannel='" + noticeChannel + '\'' +
                ", noticeLevel='" + noticeLevel + '\'' +
                ", readFlag='" + readFlag + '\'' +
                ", sysReqsrc='" + sysReqsrc + '\'' +
                ", sysIp='" + sysIp + '\'' +
                ", sysOper='" + sysOper + '\'' +
                ", sysDatetime=" + sysDatetime +
                ", staffLoginId='" + staffLoginId + '\'' +
                '}';
    }
}
